Bug 144540 - [NEW PORT] mail/postpals: a simple "penpals" policy daemon for Postfix
Summary: [NEW PORT] mail/postpals: a simple "penpals" policy daemon for Postfix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-08 01:00 UTC by Sahil Tandon
Modified: 2010-04-03 17:19 UTC (History)
1 user (show)

See Also:


Attachments
postpals.shar (5.37 KB, text/plain)
2010-03-08 01:00 UTC, Sahil Tandon
no flags Details
postpals.shar (5.58 KB, application/x-shar)
2010-03-28 09:27 UTC, Sahil Tandon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sahil Tandon 2010-03-08 01:00:02 UTC
Postpals is a simple policy daemon for Postfix. It keeps a database of 
outgoing mail, specifically recipients and relays associated to them. 
The main goal is to whitelist mail coming back from those senders and 
relays early in the postfix restriction chain, so it doesn't get hit 
with any client UCE checks you are using (RBL, helo, PTR, greylisting etc). 

WWW: http://mailfud.org/postpals/

* NOTE * This port requires an update to ports/UIDs and ports/GIDs; I will
submit another PR for that and submit a follow-up here accordingly.
Comment 1 Edwin Groothuis freebsd_committer 2010-03-08 01:00:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Sahil Tandon 2010-03-11 01:34:24 UTC
Please see ports/144541 for the patch vs. ports/UIDs and ports/GIDs.

-- 
Sahil Tandon <sahil@tandon.net>
Comment 3 Sahil Tandon 2010-03-28 09:27:27 UTC
This slightly adjusted version utilizes @dirrmtry in pkg-plist and
instead of "procname", sets the appropriate "command_interpreter" in the
two rc scripts.

-- 
Sahil Tandon <sahil@tandon.net>
Comment 4 dfilter service freebsd_committer 2010-04-03 10:44:03 UTC
itetcu      2010-04-03 09:43:50 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/postpals        Makefile distinfo pkg-descr pkg-plist 
    mail/postpals/files  pkg-message.in postpals-taillog.in 
                         postpals.in 
  Log:
  Postpals is a simple policy daemon for Postfix. It keeps a database of
  outgoing mail, specifically recipients and relays associated to them.
  The main goal is to whitelist mail coming back from those senders and
  relays early in the postfix restriction chain, so it doesn't get hit
  with any client UCE checks you are using (RBL, helo, PTR, greylisting etc).
  
  WWW: http://mailfud.org/postpals/
  
  PR:             ports/144540
  Submitted by:   Sahil Tandon <sahil at tandon.net>
  
  Revision  Changes    Path
  1.1016    +1 -0      ports/mail/Makefile
  1.1       +38 -0     ports/mail/postpals/Makefile (new)
  1.1       +6 -0      ports/mail/postpals/distinfo (new)
  1.1       +20 -0     ports/mail/postpals/files/pkg-message.in (new)
  1.1       +37 -0     ports/mail/postpals/files/postpals-taillog.in (new)
  1.1       +45 -0     ports/mail/postpals/files/postpals.in (new)
  1.1       +7 -0      ports/mail/postpals/pkg-descr (new)
  1.1       +4 -0      ports/mail/postpals/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2010-04-03 12:04:59 UTC
State Changed
From-To: open->closed

New port added. Thanks!